
import { legacyPlugin } from '@backstage/backend-common';

//import { createBackend } from '@backstage/backend-defaults/dist';
import { createBackend } from '@backstage/backend-defaults';
//import { authModuleKeycloakOIDCProvider } from './plugins/auth';
import { cnoeScaffolderActions } from './plugins/scaffolder';


const backend = createBackend();

// core plugins
//backend.add(import('@backstage/plugin-app-backend/alpha'));
backend.add(import('@backstage/plugin-app-backend'));
//backend.add(import('@backstage/plugin-catalog-backend/dist/alpha'));
backend.add(import('@backstage/plugin-catalog-backend'));
//backend.add(import('@backstage/plugin-proxy-backend/dist/alpha'));
backend.add(import('@backstage/plugin-proxy-backend'));
backend.add(import('@backstage/plugin-techdocs-backend/alpha'));
// auth plugins
//backend.add(import('@backstage/plugin-auth-backend/dist'));
backend.add(import('@backstage/plugin-auth-backend'));
backend.add(import('@backstage/plugin-auth-backend-module-guest-provider'));
// scaffolder plugins
backend.add(import('@backstage/plugin-scaffolder-backend/alpha'));
backend.add(
  import('@backstage/plugin-catalog-backend-module-scaffolder-entity-model'),
);
backend.add(import('@backstage/plugin-scaffolder-backend-module-github'));
// search plugins
backend.add(import('@backstage/plugin-search-backend/alpha'));
//backend.add(import('@backstage/plugin-search-backend-module-catalog/alpha')); 
//backend.add(import('@backstage/plugin-search-backend-module-catalog/dist'));  //TODO: correct?
backend.add(import('@backstage/plugin-search-backend-module-catalog')); 
backend.add(import('@backstage/plugin-search-backend-module-techdocs/alpha'));
// other @backstage plugins
//backend.add(import('@backstage/plugin-kubernetes-backend/dist/alpha'));
backend.add(import('@backstage/plugin-kubernetes-backend'));
// non-core plugins
// roadie plugins
//backend.add(import('@roadiehq/scaffolder-backend-module-utils/new-backend'));   //TODO: incompatible? why??
backend.add(legacyPlugin('argocd', import('./plugins/argocd')));
backend.add(
  import('@roadiehq/scaffolder-backend-module-http-request/new-backend'),
);
// cnoe plugins
//backend.add(authModuleKeycloakOIDCProvider);
backend.add(cnoeScaffolderActions);

backend.start();
